System Requirements

These are the minimum system requirements for all of our plugins.

All plugins work with Mac & Windows PCs. Most plugins support AAX Native, VST2, VST3, and AU. Some plugins support AAX DSP, as well.

Mac

  • Intel CPU only (at least 2 GHz recommended)
  • 2 GB RAM
  • macOS 10.9 through 10.14
  • Pro Tools 11 or higher or a VST*/VST3/AU-compatible 64-bit host
  • Display resolution of 1440 × 900px or 1280 × 960px or higher

 

Windows

  • Intel-compatible CPU with SSE2 instruction set (Pentium 4 compatible or higher; at least 2 GHz recommended)
  • 2 GB RAM
  • Windows 7 through 10
  • Pro Tools 11 or higher or a VST*/VST3-compatible 64-bit host
  • Display resolution of 1440 × 900px or 1280 × 960px or higher

 

Older systems

While we do not officially support older systems such as PowerPC or deprecated versions of macOS, our plugins may work in certain cases. However, we cannot guarantee any performance on such old systems.

Below is a list of Digital Audio workstations that we use for testing our currently released and unreleased plugins:

  • Pro Tools
  • Apple Logic Pro X
  • Ableton Live
  • Steinberg Cubase
  • Studio One

While the above DAWs are the ones we test on, we do strive to make our products work in all DAWs that support VST2.4/VST3, AU, and AAX.

To be sure that a plugin you are considering works with your setup, be sure to take advantage of our free, fully functional 14-day demos.

If you are not able to find what you are looking for there, you can submit a ticket to our Tech Support Team.